Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.gvt
Interface GraphicsNode

All Known Implementing Classes:
  AbstractGraphicsNode

public interface GraphicsNode

The base class for all graphics nodes. A GraphicsNode encapsulates graphical attributes and can perform atomic operations of a complex rendering.

Field Summary
`static int` | `ALL` Indicates that this graphics node can be the target for events if any cases.
`static int` | `FILL` Indicates that this graphics node can be the target for events when the mouse is over the filled area whatever or not it is the visible.
`static java.awt.geom.AffineTransform` | `IDENTITY` The identity affine transform matrix used to draw renderable images.
`static int` | `NONE` Indicates that this graphics node can not be the target for events.
`static int` | `PAINTED` Indicates that this graphics node can be the target for events when the mouse is over the painted area whatever or not it is the visible.
`static int` | `STROKE` Indicates that this graphics node can be the target for events when the mouse is over the stroked area whatever or not it is the visible.
`static int` | `VISIBLE` Indicates that this graphics node can be the target for events when it is visible and whatever is the filled and stroked area.
`static int` | `VISIBLE_FILL` Indicates that this graphics node can be the target for events when it is visible and when the mouse is over the filled area if any.
`static int` | `VISIBLE_PAINTED` Indicates that this graphics node can be the target for events when it is visible and when the mouse is over the "painted" area.
`static int` | `VISIBLE_STROKE` Indicates that this graphics node can be the target for events when it is visible and when the mouse is over the stroked area if any.

Method Summary
`boolean` | `contains(java.awt.geom.Point2D p)` Returns true if the specified Point2D is inside the boundary of this node, false otherwise.
`java.awt.geom.Rectangle2D` | `getBounds()` Returns the bounds of this node in user space.
`ClipRable` | `getClip()` Returns the clipping filter of this node or null if any.
`java.awt.Composite` | `getComposite()` Returns the composite of this node or null if any.
`Filter` | `getEnableBackgroundGraphicsNodeRable(boolean createIfNeeded)` Returns the GraphicsNodeRable for this node.
`Filter` | `getFilter()` Returns the filter of this node or null if any.
`java.awt.geom.Rectangle2D` | `getGeometryBounds()` Returns the bounds of the area covered by this node, without taking any of its rendering attribute into account.
`java.awt.geom.AffineTransform` | `getGlobalTransform()` Returns the concatenated transform of this node.
`Filter` | `getGraphicsNodeRable(boolean createIfNeeded)` Returns the GraphicsNodeRable for this node.
`java.awt.geom.AffineTransform` | `getInverseTransform()` Returns the inverse transform for this node.
`Mask` | `getMask()` Returns the mask of this node or null if any.
`java.awt.Shape` | `getOutline()` Returns the outline of this node.
`CompositeGraphicsNode` | `getParent()` Returns the parent of this node or null if any.
`int` | `getPointerEventType()` Returns the type that describes how this graphics node reacts to events.
`java.awt.geom.Rectangle2D` | `getPrimitiveBounds()` Returns the bounds of the area covered by this node's primitive paint.
`java.awt.RenderingHints` | `getRenderingHints()` Returns the rendering hints of this node or null if any.
`RootGraphicsNode` | `getRoot()` Returns the root of the GVT tree or null if the node is not part of a GVT tree.
`java.awt.geom.Rectangle2D` | `getSensitiveBounds()` Returns the bounds of the sensitive area covered by this node, This includes the stroked area but does not include the effects of clipping, masking or filtering.
`java.awt.geom.AffineTransform` | `getTransform()` Returns the transform of this node or null if any.
`java.awt.geom.Rectangle2D` | `getTransformedBounds(java.awt.geom.AffineTransform txf)` Returns the bounds of this node after applying the input transform (if any), concatenated with this node's transform (if any).
`java.awt.geom.Rectangle2D` | `getTransformedGeometryBounds(java.awt.geom.AffineTransform txf)` Returns the bounds of the area covered by this node, without taking any of its rendering attribute into accoun.
`java.awt.geom.Rectangle2D` | `getTransformedPrimitiveBounds(java.awt.geom.AffineTransform txf)` Returns the bounds of this node's primitivePaint after applying the input transform (if any), concatenated with this node's transform (if any).
`java.awt.geom.Rectangle2D` | `getTransformedSensitiveBounds(java.awt.geom.AffineTransform txf)` Returns the bounds of the sensitive area covered by this node, This includes the stroked area but does not include the effects of clipping, masking or filtering.
`java.lang.ref.WeakReference` | `getWeakReference()` Returns a canonical WeakReference to this GraphicsNode.
`boolean` | `intersects(java.awt.geom.Rectangle2D r)` Returns true if the interior of this node intersects the interior of a specified Rectangle2D, false otherwise.
`boolean` | `isVisible()` Returns true if this node is visible, false otherwise.
`GraphicsNode` | `nodeHitAt(java.awt.geom.Point2D p)` Returns the GraphicsNode containing point p if this node or one of its children is sensitive to mouse events at p.
`void` | `paint(java.awt.Graphics2D g2d)` Paints this node.
`void` | `primitivePaint(java.awt.Graphics2D g2d)` Paints this node without applying Filter, Mask, Composite, and clip.
`void` | `setClip(ClipRable newClipper)` Sets the clipping filter of this node.
`void` | `setComposite(java.awt.Composite newComposite)` Sets the composite of this node.
`void` | `setFilter(Filter newFilter)` Sets the filter of this node.
`void` | `setMask(Mask newMask)` Sets the mask of this node.
`void` | `setPointerEventType(int pointerEventType)` Sets the type that describes how this graphics node reacts to events.
`void` | `setRenderingHint(java.awt.RenderingHints.Key key, java.lang.Object value)` Maps the specified key to the specified value in the rendering hints of this node.
`void` | `setRenderingHints(java.util.Map hints)` Copies all of the mappings from the specified Map to the rendering hints of this node.
`void` | `setRenderingHints(java.awt.RenderingHints newHints)` Sets the rendering hints of this node.
`void` | `setTransform(java.awt.geom.AffineTransform newTransform)` Sets the transform of this node.
`void` | `setVisible(boolean isVisible)` Sets if this node is visible or not depending on the specified value.

Field Detail

### VISIBLE_PAINTED

    public static final int VISIBLE_PAINTED

  Indicates that this graphics node can be the target for events when it is visible and when the mouse is over the "painted" area.

  See Also:
    Constant Field Values

### VISIBLE_FILL

    public static final int VISIBLE_FILL

  Indicates that this graphics node can be the target for events when it is visible and when the mouse is over the filled area if any.

  See Also:
    Constant Field Values

### VISIBLE_STROKE

    public static final int VISIBLE_STROKE

  Indicates that this graphics node can be the target for events when it is visible and when the mouse is over the stroked area if any.

  See Also:
    Constant Field Values

### VISIBLE

    public static final int VISIBLE

  Indicates that this graphics node can be the target for events when it is visible and whatever is the filled and stroked area.

  See Also:
    Constant Field Values

### PAINTED

    public static final int PAINTED

  Indicates that this graphics node can be the target for events when the mouse is over the painted area whatever or not it is the visible.

  See Also:
    Constant Field Values

### FILL

    public static final int FILL

  Indicates that this graphics node can be the target for events when the mouse is over the filled area whatever or not it is the visible.

  See Also:
    Constant Field Values

### STROKE

    public static final int STROKE

  Indicates that this graphics node can be the target for events when the mouse is over the stroked area whatever or not it is the visible.

  See Also:
    Constant Field Values

### ALL

    public static final int ALL

  Indicates that this graphics node can be the target for events if any cases.

  See Also:
    Constant Field Values

### NONE

    public static final int NONE

  Indicates that this graphics node can not be the target for events.

  See Also:
    Constant Field Values

### IDENTITY

    public static final java.awt.geom.AffineTransform IDENTITY

  The identity affine transform matrix used to draw renderable images.

Method Detail

### getWeakReference

    public java.lang.ref.WeakReference getWeakReference()

  Returns a canonical WeakReference to this GraphicsNode. This is suitable for use as a key value in a hash map

### getPointerEventType

    public int getPointerEventType()

  Returns the type that describes how this graphics node reacts to events.

  Returns:
    VISIBLE_PAINTED | VISIBLE_FILL | VISIBLE_STROKE | VISIBLE | PAINTED | FILL | STROKE | ALL | NONE

### setPointerEventType

    public void setPointerEventType(int pointerEventType)

  Sets the type that describes how this graphics node reacts to events.

  Parameters:
    `pointerEventType` - VISIBLE_PAINTED | VISIBLE_FILL | VISIBLE_STROKE | VISIBLE | PAINTED | FILL | STROKE | ALL | NONE

### setTransform

    public void setTransform(java.awt.geom.AffineTransform newTransform)

  Sets the transform of this node.

  Parameters:
    `newTransform` - the new transform of this node

### getTransform

    public java.awt.geom.AffineTransform getTransform()

  Returns the transform of this node or null if any.

### getInverseTransform

    public java.awt.geom.AffineTransform getInverseTransform()

  Returns the inverse transform for this node.

### getGlobalTransform

    public java.awt.geom.AffineTransform getGlobalTransform()

  Returns the concatenated transform of this node. i.e., this node's transform preconcatenated with it's parent's transforms.

### setComposite

    public void setComposite(java.awt.Composite newComposite)

  Sets the composite of this node.

### getComposite

    public java.awt.Composite getComposite()

  Returns the composite of this node or null if any.

### setVisible

    public void setVisible(boolean isVisible)

  Sets if this node is visible or not depending on the specified value.

  Parameters:
    `isVisible` - If true this node is visible

### isVisible

    public boolean isVisible()

  Returns true if this node is visible, false otherwise.

### setClip

    public void setClip(ClipRable newClipper)

  Sets the clipping filter of this node.

  Parameters:
    `newClipper` - the new clipping filter of this node

### getClip

    public ClipRable getClip()

  Returns the clipping filter of this node or null if any.

### setRenderingHint

    public void setRenderingHint(java.awt.RenderingHints.Key key,
                                 java.lang.Object value)

  Maps the specified key to the specified value in the rendering hints of this node.

  Parameters:
    `key` - the key of the hint to be set
    `value` - the value indicating preferences for the specified hint category.

### setRenderingHints

    public void setRenderingHints(java.util.Map hints)

  Copies all of the mappings from the specified Map to the rendering hints of this node.

  Parameters:
    `hints` - the rendering hints to be set

### setRenderingHints

    public void setRenderingHints(java.awt.RenderingHints newHints)

  Sets the rendering hints of this node.

  Parameters:
    `newHints` - the new rendering hints of this node

### getRenderingHints

    public java.awt.RenderingHints getRenderingHints()

  Returns the rendering hints of this node or null if any.

### setMask

    public void setMask(Mask newMask)

  Sets the mask of this node.

  Parameters:
    `newMask` - the new mask of this node

### getMask

    public Mask getMask()

  Returns the mask of this node or null if any.

### setFilter

    public void setFilter(Filter newFilter)

  Sets the filter of this node.

  Parameters:
    `newFilter` - the new filter of this node

### getFilter

    public Filter getFilter()

  Returns the filter of this node or null if any.

### getGraphicsNodeRable

    public Filter getGraphicsNodeRable(boolean createIfNeeded)

  Returns the GraphicsNodeRable for this node. This GraphicsNodeRable is the Renderable (Filter) before any of the filter operations have been applied.

### getEnableBackgroundGraphicsNodeRable

    public Filter getEnableBackgroundGraphicsNodeRable(boolean createIfNeeded)

  Returns the GraphicsNodeRable for this node. This GraphicsNodeRable is the Renderable (Filter) after all of the filter operations have been applied.

### paint

    public void paint(java.awt.Graphics2D g2d)

  Paints this node.

  Parameters:
    `g2d` - the Graphics2D to use

### primitivePaint

    public void primitivePaint(java.awt.Graphics2D g2d)

  Paints this node without applying Filter, Mask, Composite, and clip.

  Parameters:
    `g2d` - the Graphics2D to use

### getParent

    public CompositeGraphicsNode getParent()

  Returns the parent of this node or null if any.

### getRoot

    public RootGraphicsNode getRoot()

  Returns the root of the GVT tree or null if the node is not part of a GVT tree.

### getBounds

    public java.awt.geom.Rectangle2D getBounds()

  Returns the bounds of this node in user space. This includes primitive paint, filtering, clipping and masking.

### getTransformedBounds

    public java.awt.geom.Rectangle2D getTransformedBounds(java.awt.geom.AffineTransform txf)

  Returns the bounds of this node after applying the input transform (if any), concatenated with this node's transform (if any).

  Parameters:
    `txf` - the affine transform with which this node's transform should be concatenated. Should not be null.

### getPrimitiveBounds

    public java.awt.geom.Rectangle2D getPrimitiveBounds()

  Returns the bounds of the area covered by this node's primitive paint. This is the painted region of fill and stroke but does not account for clipping, masking or filtering.

### getTransformedPrimitiveBounds

    public java.awt.geom.Rectangle2D getTransformedPrimitiveBounds(java.awt.geom.AffineTransform txf)

  Returns the bounds of this node's primitivePaint after applying the input transform (if any), concatenated with this node's transform (if any).

  Parameters:
    `txf` - the affine transform with which this node's transform should be concatenated. Should not be null.

### getGeometryBounds

    public java.awt.geom.Rectangle2D getGeometryBounds()

  Returns the bounds of the area covered by this node, without taking any of its rendering attribute into account. i.e., exclusive of any clipping, masking, filtering or stroking, for example.

### getTransformedGeometryBounds

    public java.awt.geom.Rectangle2D getTransformedGeometryBounds(java.awt.geom.AffineTransform txf)

  Returns the bounds of the area covered by this node, without taking any of its rendering attribute into accoun. i.e., exclusive of any clipping, masking, filtering or stroking, for example. The returned value is transformed by the concatenation of the input transform and this node's transform.

  Parameters:
    `txf` - the affine transform with which this node's transform should be concatenated. Should not be null.

### getSensitiveBounds

    public java.awt.geom.Rectangle2D getSensitiveBounds()

  Returns the bounds of the sensitive area covered by this node, This includes the stroked area but does not include the effects of clipping, masking or filtering.

### getTransformedSensitiveBounds

    public java.awt.geom.Rectangle2D getTransformedSensitiveBounds(java.awt.geom.AffineTransform txf)

  Returns the bounds of the sensitive area covered by this node, This includes the stroked area but does not include the effects of clipping, masking or filtering. The returned value is transformed by the concatenation of the input transform and this node's transform.

  Parameters:
    `txf` - the affine transform with which this node's transform should be concatenated. Should not be null.

### contains

    public boolean contains(java.awt.geom.Point2D p)

  Returns true if the specified Point2D is inside the boundary of this node, false otherwise.

  Parameters:
    `p` - the specified Point2D in the user space

### intersects

    public boolean intersects(java.awt.geom.Rectangle2D r)

  Returns true if the interior of this node intersects the interior of a specified Rectangle2D, false otherwise.

  Parameters:
    `r` - the specified Rectangle2D in the user node space

### nodeHitAt

    public GraphicsNode nodeHitAt(java.awt.geom.Point2D p)

  Returns the GraphicsNode containing point p if this node or one of its children is sensitive to mouse events at p.

  Parameters:
    `p` - the specified Point2D in the user space

### getOutline

    public java.awt.Shape getOutline()

  Returns the outline of this node.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.